var idsResultadoIncorrecto = [];
var idsResultadoCancelada = [];
var idsEstadoTerminado = [];
$(document).ready(function(){

	//Marcamos la opción del menú principal "Inspecciones" y habilitamos
	$("#menuFichaInspeccion").addClass("active");
	$("#menuFichaInspeccion").removeClass("disabled");
	
	 var idInspeccion = $('#idInspeccion').val();

	/* Para completar la url del menú Ficha Inspección */
	 var link=$("#menuListados a").attr("href");
	 $("#menuListados a").attr("href",link+idInspeccion);
	 
	 
	var selector = '.ui-tabs-nav li a';

	$("#tabsFichaInspeccion").rup_tabs({
		tabs : [
			{i18nCaption:$.rup.i18n.app.tabs.pestaya1, url:"/ab79WebAppWar/expedientes/maint/"+idInspeccion},
			{i18nCaption:$.rup.i18n.app.tabs.pestaya2, url:"/ab79WebAppWar/datosbasicosdeinspeccion/maint/"+idInspeccion},
			{i18nCaption:$.rup.i18n.app.tabs.pestaya3, url:"/ab79WebAppWar/actuaciones/maint"},
			{i18nCaption:$.rup.i18n.app.tabs.pestaya4, url:"/ab79WebAppWar/informeTecnico/maint/"+idInspeccion}
		],
		select: function(event, tab){
			bloquearInterfaz();
			var pestania = $("#tabsFichaInspeccion").tabs('option', 'active');		
			var nombre = document.getElementsByClassName("ui-tabs-anchor")[pestania].innerHTML;
			if (controlCambios()) {
				$.rup_messages("msgConfirm", {
					message: jQuery.jgrid.format(jQuery.rup.i18nParse(jQuery.rup.i18n.app, 'tabs.controlDeCambios'), nombre),
					title:  $.rup.i18n.app.tabs.controlDeCambiosTitulo,
					OKFunction: function () {
						switch(pestania){
							case 0:
								$("#formSolicitante").submit();
								break;
							case 1:
								$("#datosBasicosInspeccionForm").submit();
								break;
							case 3:
								$("#informeTecnicoForm").submit();
								break;
						}
					},
					CANCELFunction: function () {
						ab79a_isChanged=false;
						switch(pestania){
							case 0:
								$("#ui-id-1").load("/ab79WebAppWar/expedientes/maint/"+idInspeccion);
								inicializaControlCambios("formSolicitante");
								break;
							case 1:
								$("#ui-id-2").load("/ab79WebAppWar/datosbasicosdeinspeccion/maint/"+idInspeccion);
								inicializaControlCambios("datosBasicosInspeccionForm");
								break;
							case 3:
								$("#ui-id-4").load("/ab79WebAppWar/informeTecnico/maint/"+idInspeccion);
								inicializaControlCambios("informeTecnicoForm");
								break;
						}
					}
				});	
			}
			
			
		},
		show: function(){
			setTimeout(function () {
				desbloquearInterfaz();
			}, 500);
		},
		cache:false
	});
	
	$(selector).on('click', function(){
	   var tab = this.id;
	   
	   switch (tab){
	   
	   case ("es"==$.rup_utils.get("language")) ? "#Expediente" : "#Espedientea" :
		   
		   $("#btnInspeccionar").attr("hidden","true");	   
		   $("#busqExp").attr("hidden","true");
		   $("#btnLimpiar").attr("hidden","true");	
		   $("#btnGuardar").attr("hidden","true");
		   $("#btnGuardarUbicacion").removeAttr("hidden");
		   if($("#inspeccionSinExpediente").val() === "true"){
				
				$.ajax({
        			url: "/ab79WebAppWar/fichadeinspeccion/cargarDatosRelEstIns/"+idInspeccion,
        	        contentType: "application/json",
        			type: "GET",
        			success: function(data){
        				data = JSON.parse(data);
        				$("#inspeccion").html(data.inspeccion.identificadorInspeccion);
        				if(data.titulo != null){
        					$("#titulo").parent().css("display", "block");
        					$("#titulo").parent().css("margin-left", "2em");
        					$("#titulo").html(data.titulo);
        				}else{
        					$("#titulo").parent().css("display", "none");
        				}        				
        				if ("es"===$.rup_utils.get("language")){
        					if(data.inspeccion.campaina != null){
        						$("#procedimiento").html(data.inspeccion.campaina.procedimiento.descripcionEs);
        					}
                		}else{
                			if(data.inspeccion.campaina != null){
                				$("#procedimiento").html(data.inspeccion.campaina.procedimiento.descripcionEu);
                			}                			
                		}
        				$("#expediente").prev().addClass("expedienteCabeceraVacio");
        				$("#idInspeccion").val(data.inspeccion.idInspeccion);
        				if(data.inspeccion.campaina != null){
        					$("#idProcedimiento").val(data.inspeccion.campaina.procedimiento.idProcedimiento);
        					$("#procedureId").val(data.inspeccion.campaina.procedimiento.codProcedureId);
        				}
        				if(data.inspeccion.idOrigenInspeccion == ORIGEN_INSPECCION_OFICIO ||data.inspeccion.idOrigenInspeccion == ORIGEN_BUZON_FRAUDE){
        					        		
        					$("#idProcedimiento").val(data.procedimiento.idProcedimiento);
        					$("#procedureId").val(data.procedimiento.codProcedureId);
        					
        					if(data.inspeccion.direccion.idDireccion === DIRECCION_COMERCIO){
        						$("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
        					} else{
        						$("#btnAsociarEstablecimientoInspeccion").removeAttr("hidden");
        					}
        					
        				}
        			}
				});
				
			} else{
				$("#btnCrearExpediente").attr("hidden", "true");
			}
		   $("#btnActualizar").removeAttr("hidden");
		   //$("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
		   $("#btnGuardarRespuestas").attr("hidden","true");
		   $("#btnExportarExcelInforme").attr("hidden","true");
		   $("#btnImportarExcelInforme").attr("hidden","true");
		   $("#btnNuevaPreguntaExpediente").attr("hidden","true");
		   $("#btnActualizarEstablecimiento").attr("hidden", "true");
		   $("#btnGuardarInformeTabla").attr("hidden", "true");
		   $("#btnExportarExcelInformeTabla").attr("hidden", "true");
		   $("#btnImportarExcelInformeTabla").attr("hidden", "true");
		   break;
		   
	   case ("es"==$.rup_utils.get("language")) ? "#Datos básicos inspección" : "#Ikuskapen datu basikoak" :
		   $("#btnInspeccionar").attr("hidden","true");	   
		   $("#busqExp").attr("hidden","true");
		   $("#btnLimpiar").attr("hidden","true");
		   $("#btnGuardar").removeAttr("hidden");
		   $("#btnGuardarUbicacion").attr("hidden","true");
		   $("#btnCrearExpediente").attr("hidden","true");
		   $("#btnActualizar").attr("hidden","true");
		   $("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
		   $("#btnGuardarRespuestas").attr("hidden","true");
		   $("#btnExportarExcelInforme").attr("hidden","true");
		   $("#btnImportarExcelInforme").attr("hidden","true");
		   $("#btnNuevaPreguntaExpediente").attr("hidden","true");
		   $("#btnActualizarEstablecimiento").attr("hidden", "true");
		   $("#btnGuardarInformeTabla").attr("hidden", "true");
		   $("#btnExportarExcelInformeTabla").attr("hidden", "true");
		   $("#btnImportarExcelInformeTabla").attr("hidden", "true");
		   break;
		   
	   case ("es"==$.rup_utils.get("language")) ? "#Actuaciones" : "#Jarduketak" :
		   $("#btnGuardarUbicacion").attr("hidden","true");
		   $("#btnCrearExpediente").attr("hidden","true");
		   $("#btnActualizar").attr("hidden","true");
		   $("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
		   $("#btnInspeccionar").attr("hidden","true");	   
		   $("#busqExp").attr("hidden","true");
		   $("#btnLimpiar").attr("hidden","true");
		   $("#btnGuardar").attr("hidden","true");
		   $("#btnGuardarRespuestas").attr("hidden","true");
		   $("#btnExportarExcelInforme").attr("hidden", "true");
		   $("#btnImportarExcelInforme").attr("hidden", "true");
		   $("#btnNuevaPreguntaExpediente").attr("hidden", "true");
		   $("#btnActualizarEstablecimiento").attr("hidden", "true");
		   $("#btnGuardarInformeTabla").attr("hidden", "true");
		   $("#btnExportarExcelInformeTabla").attr("hidden", "true");
		   $("#btnImportarExcelInformeTabla").attr("hidden", "true");
		   break;
		   
	   case ("es"==$.rup_utils.get("language")) ? "#Informe técnico" : "#Txosten teknikoa" :
		   $("#btnGuardarUbicacion").attr("hidden","true");
		   $("#btnCrearExpediente").attr("hidden","true");
		   $("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
		   $("#btnInspeccionar").attr("hidden","true");  
		   $("#busqExp").attr("hidden","true");
		   $("#btnLimpiar").attr("hidden","true");
		   $("#btnGuardar").attr("hidden","true"); 
		   $("#btnNuevaPreguntaExpediente").removeAttr("hidden");
		   mostrarOcultarBotonesInformeTecnico();
		   break;	   
	   }
	});

	$( function () {
		var reloadInformeTecnico = sessionStorage.getItem("reloadInformeTecnico");
		var reloadDatosBasicos = sessionStorage.getItem("reloadDatosBasicos");
		
		if ( reloadDatosBasicos === "true" ) {
        	$("#tabsFichaInspeccion").rup_tabs("selectTab",{
        		idTab: "tabsFichaInspeccion",
        		position: 1,
        	});
            sessionStorage.setItem("reloadDatosBasicos", false);
 		    $("#btnGuardar").removeAttr("hidden");
        }
        
		if ( reloadInformeTecnico === "true" ) {
        	$("#tabsFichaInspeccion").rup_tabs("selectTab",{
        		idTab: "tabsFichaInspeccion",
        		position: 3,
        	});
            sessionStorage.removeItem("reloadInformeTecnico");
 		    $("#btnGuardarRespuestas").removeAttr("hidden");
 		    $("#btnExportarExcelInforme").removeAttr("hidden");
 		    $("#btnImportarExcelInforme").removeAttr("hidden");
        }
    });	
	
	function mostrarOcultarBotonesInformeTecnico(){
		$.ajax({
			type : "GET",
			url : CTX_PATH + "inspecciones/" + idInspeccion,
			dataType : "json",
			async : false,
			success : function(data) {
				if (data.idOrigenInspeccion === 1) {
					
					$("#tablaPreguntasExpedienteDiv").removeAttr("hidden");
					$("#btnGuardarRespuestas").attr("hidden", "true");
					$("#btnExportarExcelInforme").attr("hidden", "true");
					$("#btnImportarExcelInforme").attr("hidden", "true");
					$("#btnNuevaPreguntaExpediente").removeAttr("hidden");
					$("#btnActualizarEstablecimiento").attr("hidden", "true");
					$("#btnGuardarInformeTabla").removeAttr("hidden");
					$("#btnExportarExcelInformeTabla").removeAttr("hidden");
					$("#btnImportarExcelInformeTabla").removeAttr("hidden");

				} else {

					if ($("#containerInformeTecnico").find("#panelInformeTecnico").length) {
						$("#btnGuardarRespuestas").removeAttr("hidden");
						$("#btnExportarExcelInforme").removeAttr("hidden");
						$("#btnImportarExcelInforme").removeAttr("hidden");
						$("#btnNuevaPreguntaExpediente").removeAttr("hidden");
						$("#btnActualizarEstablecimiento").removeAttr("hidden");
						$("#btnGuardarInformeTabla").attr("hidden", "true");
						$("#btnExportarExcelInformeTabla").attr("hidden", "true");
						$("#btnImportarExcelInformeTabla").attr("hidden", "true");
					} else {
						$("#btnGuardarRespuestas").attr("hidden", "true");
						$("#btnExportarExcelInforme").attr("hidden", "true");
						$("#btnImportarExcelInforme").attr("hidden", "true");
						$("#btnNuevaPreguntaExpediente").removeAttr("hidden");
						$("#btnActualizarEstablecimiento").attr("hidden", "true");
						$("#btnGuardarInformeTabla").attr("hidden", "true");
						$("#btnExportarExcelInformeTabla").attr("hidden", "true");
						$("#btnImportarExcelInformeTabla").attr("hidden", "true");
					}
				}

			},
			error : function() {}
		});
	}
	
	$.ajax({
		url: CTX_PATH + "resultadosinspeccion/findByDesResIns/" + RESULTADO_INCORRECTO,
		type: "GET",
		dataType: "json",
		async: false,
		success: function(data){
			for (var i = 0; i < data.length; i++) {
				idsResultadoIncorrecto.push(data[i].idResultadoInspeccion);
			}			
		},
		error: function(){
			$("#datosBasicos_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#datosBasicos_feedback").rup_feedback("set",$.rup.i18n.app.feedback.error.errorGenerico, "error");
		}
	});
	
	$.ajax({
		url: CTX_PATH + "resultadosinspeccion/findByDesResIns/" + RESULTADO_CANCELADA,
		type: "GET",
		dataType: "json",
		async: false,
		success: function(data){
			for (var i = 0; i < data.length; i++) {
				idsResultadoCancelada.push(data[i].idResultadoInspeccion);
			}			
		},
		error: function(){
			$("#datosBasicos_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#datosBasicos_feedback").rup_feedback("set",$.rup.i18n.app.feedback.error.errorGenerico, "error");
		}
	});
	
	$.ajax({
		url: CTX_PATH + "estadosinspeccion/findByDesEstIns/" + ESTADO_TERMINADO,
		type: "GET",
		dataType: "json",
		async: false,
		success: function(data){
			for (var i = 0; i < data.length; i++) {
				idsEstadoTerminado.push(data[i].idEstadoInspeccion);
			}			
		},
		error: function(){
			$("#datosBasicos_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#datosBasicos_feedback").rup_feedback("set",$.rup.i18n.app.feedback.error.errorGenerico, "error");
		}
	});
	
	if($("#esExpedienteCerrado").val() === "true"){
		setTimeout(function() { 
			bloquearInspeccion();
	    }, 2000);
	}
		
});
